# Revealer

Программа для поиска сетевых устройств в локальной сети.

## Запуск и использование

1. Выберете приложение для вашей операционной системы и запустите его.
2. Нажмите кнопку __Search__, чтобы получить / обновить список найденных сетевых устройств, поддерживающих SSDP-поиск.
3. В полученном списке доступные устройства, находящиеся в той же локальной сети, что и Ваш компьютер, будут иметь в графе URL выделенную ссылку (синего цвета с подчеркиванием). Их страницы могут быть открыты кликом левой кнопкой мыши по соответвующей ячейке столбца _URL_.
4. Справа от ссылок в соответсвующей строке будет иконка информации об устройстве (i) - при нажатии на неё можно октрыть список свойств данного устройства.
5. Для недоступных для Вашего компьютера устройств указан их IP-адрес в другой сети.
6. Для наших устройств, которые поддерживают этот протокол, доступна опция изменения IP-адреса из другой сети. Для этого:
  ** С помощью нажатия на иконку с двумя шестеренками откройте окно __Change settings...__. Если данная опция недоступна, значит, версия устройства её не поддерживает.
  ** в открывшимся окне введите пароль устройства, выберете или уберите галочку с DHCP опции, укажите желаемый IP-адрес, маску подсети и при необходимости шлюз по умолчанию.
  ** нажмите __Ок__.
  ** через некоторое время появится окно с результатом выполнения, если изменение IP-адреса было успешно, то данное устройство пропадет из списка.
  ** обновите список устройств кнопкой __Search__, чтобы найти это устройство с новым адресом.

Обратите внимание, что для поиска устройств в другой сети может потребоваться отключение брандмауэра.

## Выпуск релиза

1. Убедитесь, что в репозитории нет несохраненных изменений и все они отправлены в удаленный репозиторий.
2. На коммит, из которого планируется выпускать версию нужно повесить тег в формате __v#.#.#__, где #.#.# - номер версии.
3. Не забыть отправить тег в удаленный репозиторий.
4. Увеличить версию в файле _version.py_.

### Выпуск релиза в Windows

5. Для выпуска релиза в Windows нужно выполнить скрипт `release.bat`:

```bash
release.bat
```

### Выпуск релиза в Linux

5. Для выпуска релиза в Linux нужно выполнить скрипт `release.sh`:

```bash
bash release.sh
```

Обратите внимание, что для запуска скрипта в Linux могут потребоваться дополнительные действия:
* Добавьте `release.sh` права на запуск:
```bash
chmod +x ./release.sh
```
* Установите версию python3 c встроенным модулем tkinter:
```bash
sudo apt-get install python3.8-tk
```
* Установите версию python3 с поддержкой виртуальных кружений:
```bash
sudo apt-get install python3.8-venv
```

* Установите стандартную библиотеку idle:
```bash
sudo apt-get install idle3
```

### Выпуск релиза в MacOS

5. Для выпуска релиза в MacOS нужно выполнить скрипт `release.sh`:

```bash
sudo ./release.sh
```

Обратите внимание, что для запуска скрипта в MacOS могут потребоваться дополнительные действия:
* Добавьте `release.sh` права на запуск:
```bash
chmod +x ./release.sh
```
* Установите версию python3 c встроенным модулем tkinter (для mac OS tkinter поддерживается в версии python3.9 и старше):
```bash
brew install python-tk@3.9
```






